
#!/bin/bash

#####################
#### SERVICES.SH ####
#####################


#-------------------------------------------------------------------
#activer et desactiver les dossiers de partage vbox :  + option nom du partage


if [ "$1" = "on" ]; then
 #auto setup VBOX share folder
 sname=www
 if [ "$2" ]; then sname="$2"; fi
 #Lance la commande VBOX pour le partage de fichier Windows :
 #vrun=$(mount -t vboxsf $sname /var/www/html)
 #Lance la commande avec retour d'erreur (2>&1) :
 vrun=$(sudo mount -t vboxsf $sname /var/www/html 2>&1)
 #Lance la commande directement :
 #echo $vrun
 #Compte le nombre de carractère dans la chaine trouvée :
 #echo ${#vrun}
 #Si la commande renvoie une erreur avec plus de zéro carractère, alors message d'erreur :
 if [ ${#vrun} -gt 0 ]; then
  echo "VBOX : Connexion impossible vers le dossier partagé !"
  echo -e "Le dossier de partage nommé [$sname] est absent ou mal configuré.\n"
 else
  echo "Partage réussit avec : [$sname]"
 fi

elif [ "$1" = "off" ]; then
  #Commande pour démonter le dossier partagé sans message d'erreur (2>/dev/bull) :
  sudo umount -a -t vboxsf 2>/dev/null
  echo "Le partage est maintenant inactif."
else
 echo "Erreur : [vboxp on] active le dossier de partage"
 echo "[vboxp off] le désactive. Option : [vboxp on | nom_du_partage]"
fi


